Full pot value history for the worker

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.getpenfold.dev/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Penfold Partner API MCP server": {
    "url": "https://docs.getpenfold.dev/mcp"
  }
}

Close
GET /employers/{employer_id}/employees/{employee_id}/pot_performance

Full pot value history for the worker, returned as an array of PerformancePoint objects. No date-range parameters. Cadence is not guaranteed to be daily; partners may downsample for chart display.

If you're planning on doing some data visualisation you might want to consider downsampling — we recommend LTTB (Largest Triangle Three Buckets). This is particularly worthwhile once a series exceeds ~200 points.

Path parameters

  • employer_id string Required
  • employee_id string Required

Responses

  • 200 application/json

    Pot performance history retrieved successfully.

    Hide response attributes Show response attributes object
    • date string(date) Required

      Point date (YYYY-MM-DD). Cadence is not guaranteed to be daily.

    • value_pence integer Required

      Value at date, in pence.

  • 401 application/json

    Unauthorized.

    Hide response attribute Show response attribute object
    • error string

      A descriptive error message.

  • 404 application/json

    Employee or employer not found.

    Hide response attribute Show response attribute object
    • error string

      A descriptive error message.

  • 405 application/json

    Method not allowed

    Hide response attribute Show response attribute object
    • error string

      A descriptive error message.

GET /employers/{employer_id}/employees/{employee_id}/pot_performance
curl \
 --request GET 'https://payroll-api.getpenfold.dev/v4/employers/{employer_id}/employees/{employee_id}/pot_performance' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "date": "2026-05-04",
    "value_pence": 120000
  }
]
Response examples (401)
{
  "error": "Bad request: invalid data provided."
}
Response examples (404)
{
  "error": "Bad request: invalid data provided."
}
Response examples (405)
{
  "error": "Bad request: invalid data provided."
}